%set_verify_elf_method textrel=relaxed

%define	plugindir	/usr/lib/vdr
%define pname 		prefermenu

Name: vdr-%pname
Version: 0.5.4
Release: alt1

Summary: Preferred channels menu plugin for VDR
Summary(ru_RU.UTF-8): Меню избранных каналов для VDR
License: GPL
Group: Video
URL: http://www.olivierjacques.com/vdr/prefermenu
Source0: %name-%version.tgz
Patch0: russian-prefermenu.diff
BuildPreReq: kernel-headers-dvb vdr-devel 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel vdr-devel
Requires: vdr

%description
PreferMenu is a plugin that implements a preferred channel menu.
It makes it easy to recall (switch to) your favorite channels.

%description -l ru_RU.UTF-8
PreferMenu - модуль расширения, предоставляющий меню закладок,
которое позволяет легко переключиться на любимый канал.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Tue Feb 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.4-alt1
- 0.5.4, Translation update

* Fri Jan 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.3-alt1
- Initial build
